#
# spec file for package lprng (Version 3.8.5)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm tcpd

Name:         lprng
License:      BSD
Group:        Hardware/Printing
Provides:     print_daemon lprold plp
Conflicts:    cups-client
Autoreqprov:  on
Version:      3.8.5
Release:      105
Summary:      LPRng Print Spooler
Source:       LPRng-%{version}.tar.bz2
URL:          http://www.lprng.com/
Patch:        LPRng-%{version}.dif
Patch1:       LPRng-%{version}-libwrap-addition.dif
Patch2:       LPRng-%{version}-lpd.conf.dif
Patch3:       LPRng-%{version}-accounting.dif
Patch4:       LPRng-%{version}-psbanner.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Obsoletes:    lprold lprng

%description
The LPRng software is an enhanced, extended, and portable implementation
of the Berkeley LPR print spooler functionality. While providing the
same interface and meeting RFC1179 requirements, the implementation
is completely new and provides support for the following features:
lightweight (no databases needed) lpr, lpc, and lprm programs; dynamic
redirection of print queues; automatic job holding; highly verbose
diagnostics; multiple printers serving a single queue; and a greatly
improved permission and authorization mechanism.

LPRng provides emulation packages for the SVR4 lp and lpstat programs,
eliminating the need for another print spooler package. These emulation
packages can be modified according to local requirements, in order to
support vintage printing systems.

Attention: Interoperability with older LPD implementations
requires privileged access to ports.  Therefore all affected
client-programs ship with SUID root priviledges!

Authors:
--------
    Patrick Powell <papowell@astart.com>

SuSE series: n

%prep
%setup -n LPRng-%{version}
%patch
%patch1 -p1
%patch2
%patch3
%patch4
%{?suse_update_config:%{suse_update_config -f}}

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
				  --sysconfdir=/etc \
				  --libexecdir=%{_libdir} \
				  --mandir=%{_mandir} \
				  --with-userid=lp \
				  --with-groupid=lp \
				  --with-filter_path="/bin:/usr/bin:/usr/local/bin:/usr/sbin:/usr/local/sbin:%{_libdir}/filters:/usr/X11R6/bin" \
				  --with-ld_libary_path="/%{_lib}:%{_libdir}:/usr/X11R6/%{_lib}:/usr/local/%{_lib}" \
				  %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc \
	MAN=$RPM_BUILD_ROOT%{_mandir} \
	libexecdir=$RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT/etc
install -m 644 printcap $RPM_BUILD_ROOT/etc/printcap
install -m 644 lpd.conf.SuSE $RPM_BUILD_ROOT/etc/lpd.conf
install -m 644 lpd.perms $RPM_BUILD_ROOT/etc/lpd.perms
#install -m 644 lpd.perms.SuSE $RPM_BUILD_ROOT/etc/lpd.perms
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 rc.lpd $RPM_BUILD_ROOT/etc/init.d/lpd
ln -sf ../../etc/init.d/lpd $RPM_BUILD_ROOT/usr/sbin/rclpd
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
ln -sf ../sbin/lpc $RPM_BUILD_ROOT/usr/bin/lpc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv lpd}
for DIR in ` cat etc/printcap | \
             grep -v "^#" | \
             grep "sd=" | \
	     sed -e"s:.*sd=:sd=:" | \
	     sed -e"s:sd=::" | \
	     sed -e"s:^/::" | \
	     sed -e"s/:.*//" ` ; do
    if [ ! -d $DIR ] ; then
        #
        # apsfilter normally creates usr/spool entries, maybe it is linked
	# to var/spool
	DIR=`echo $DIR | sed -e"s:usr:var:"`
    fi
    if [ -d $DIR ] ; then
        chown -R lp.lp $DIR
    fi
done
# save after instalation 
if [ \( "$1" = "" -o "$1" = "1" \) -a -f etc/printcap.rpmsave ]
then
    mv etc/printcap etc/printcap.$$
    mv etc/printcap.rpmsave etc/printcap
    mv etc/printcap.$$ etc/printcap.rpmorig
fi

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%attr(644,root,root) %config(noreplace) /etc/lpd.conf
%attr(644,root,root) %config(noreplace) /etc/lpd.perms
%doc ABOUT-NLS.LPRng CHANGES CONTRIBUTORS COPYRIGHT INSTALL LICENSE
%doc README* VERSION Y2KCompliance
%doc HOWTO/*.txt HOWTO/*.html HOWTO/*.jpg HOWTO/*.ppt
%config(noreplace) /etc/printcap
%config /etc/init.d/lpd
/usr/sbin/rclpd
%attr(4755,root,root) /usr/bin/lpq
%attr(4755,root,root) /usr/bin/lpr
%attr(4755,root,root) /usr/bin/lprm
%attr(4755,root,root) /usr/bin/lpstat
/usr/bin/lp
/usr/bin/cancel
/usr/bin/lpc
%attr(4755,root,root) /usr/sbin/lpc
%attr(755,root,root)  /usr/sbin/lpd
%attr(755,root,root)  /usr/sbin/checkpc
# %attr(755,root,root)  /usr/sbin/lpraccnt
%dir %{_libdir}/filters
%attr(755,root,root)  %{_libdir}/filters/*
%doc %{_mandir}/man1/cancel.1.gz
%doc %{_mandir}/man1/lp.1.gz
%doc %{_mandir}/man1/lpbanner.1.gz
%doc %{_mandir}/man1/lpf.1.gz
%doc %{_mandir}/man1/lpq.1.gz
%doc %{_mandir}/man1/lpr.1.gz
# not in new 
# %doc %{_mandir}/man1/lpraccnt.1.gz
%doc %{_mandir}/man1/lprm.1.gz
%doc %{_mandir}/man1/lpstat.1.gz
%doc %{_mandir}/man1/monitor.1.gz
%doc %{_mandir}/man1/pclbanner.1.gz
%doc %{_mandir}/man1/psbanner.1.gz
%doc %{_mandir}/man5/lpd.conf.5.gz
%doc %{_mandir}/man5/lpd.perms.5.gz
%doc %{_mandir}/man5/printcap.5.gz
%doc %{_mandir}/man8/checkpc.8.gz
%doc %{_mandir}/man8/lpc.8.gz
%doc %{_mandir}/man8/lpd.8.gz

%changelog -n lprng
* Tue May 27 2003 - tcrhak@suse.cz
- fixed security bug in psbanner (patch psbanner)
* Sat Mar 09 2002 - kukuk@suse.de
- Obsolete plp, provide lprold and plp
* Fri Mar 08 2002 - tcrhak@suse.cz
- removed force_localhost from lpd.conf, as this
  is the default in 3.8.5
- enable accounting by using checkpc -f instead of
  checkpc -af in rclpd
- added Obsoletes: lprold (bug #14598)
- added %%{_libdir}/filters to filelist
* Wed Feb 13 2002 - tcrhak@suse.cz
- use 'l' as the default for default_format (original) - bug #13007
- use 'printer' as default for lpd_port (as printcap(5) states)
- fixed bug #13118, set send_try to 0 and max_connect_interval to 10,
  in lpd.conf; cf. also 'send_try' in lpd.conf(5)
* Tue Jan 29 2002 - draht@suse.de
- added support for tcp-wrappers (LPRng-3.8.5-libwrap-addition.dif)
  token for /etc/hosts.{allow,deny} is "lpd".
* Mon Jan 28 2002 - tcrhak@suse.cz
- update to 3.8.5, modified printcap to work with YaST2
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Wed Jan 16 2002 - tcrhak@suse.cz
- update to 3.8.4
- fixed checkpc.c (bug #12762)
- fixed ff_separator flag (bug #12792)
- unlimited number of copies by default (bug #12267)
- lpd does not start by default (bug #12540)
* Fri Dec 14 2001 - ro@suse.de
- removed START_LPD
* Fri Aug 31 2001 - bjacke@suse.de
- conflicts now with cups-client, not cups
* Mon Aug 13 2001 - dan@suse.cz
- fix group/owner in checkpc (#9218)
* Fri Aug 03 2001 - dan@suse.cz
- link /usr/bin/lpc -> ../sbin/lpc added
- install original lpd.perms (see also #9548)
* Mon Jun 25 2001 - pblaha@suse.cz
- replace START_FOO -> START_LPD  in rc.lpd script
* Tue Jun 12 2001 - schwab@suse.de
- Fix integer/pointer clash.
- Add %%suse_update_config.
* Thu May 10 2001 - pblaha@suse.cz
- add save /etc/printcap  after instalation fix #7671
* Wed May 09 2001 - pblaha@suse.cz
-  use checkpc -f to fix permissions berfore starting lpd
* Wed Mar 21 2001 - pblaha@suse.cz
- upadate on 3.7.4 and wrote new URL
* Wed Nov 29 2000 - ro@suse.de
- commented out redeclaration for inet_ntop in linksupport.h
* Tue Nov 28 2000 - kukuk@suse.de
- Fix typo in spec file
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Thu Nov 23 2000 - kukuk@suse.de
- Update to 3.2.26
- Use new initscript
* Mon Sep 25 2000 - kukuk@suse.de
- Fix format bug in syslog call (client core dumps)
* Fri Sep 01 2000 - ro@suse.de
- add cups to Conflicts: line
* Fri Jul 07 2000 - kukuk@suse.de
- Fix typo in init script (Bug #3242)
* Mon Jun 05 2000 - kukuk@suse.de
- force local spooling for compatibility with lprold
* Mon May 22 2000 - kukuk@suse.de
- Switch back to 3.6.12 (fixes Bug #2711)
* Tue Feb 22 2000 - kukuk@suse.de
- Update to 3.6.13
* Wed Feb 16 2000 - kukuk@suse.de
- Mark /etc/printcap as "config(noreplace)", comment out
  example entries.
* Mon Jan 03 2000 - kukuk@suse.de
- Add comment about send_data_first to lpd.conf
* Mon Jan 03 2000 - kukuk@suse.de
- Change comment about force_localhost (bug #1577)
* Thu Oct 28 1999 - kukuk@suse.de
- Update to version 3.6.12 (security problems)
* Mon Oct 25 1999 - kukuk@suse.de
- Update to version 3.6.11
* Sat Oct 16 1999 - kukuk@suse.de
- Add and document more options in lpd.conf
* Mon Oct 11 1999 - kukuk@suse.de
- added package (version 3.6.10)
